# roadmap-generator

> 簡介：
> 用於生成視訊遊戲路圖的組件庫

## 使用方式

### 安裝

##### npm

```bash
npm install xg-roadmap-generator
```

##### yarn

```bash
yarn add xg-roadmap-generator
```

### 載入至 vue component

### 基本參數

必填的基本參數

| 參數     | 作用                                           |
| -------- | ---------------------------------------------- |
| gameType | 遊戲種類 `<string>`：baccarat、sicbo、roulette |
| results  | 賽果清單 `<string[]>`                          |

---

## 開發組件庫

### 修改 `/packages/` 內的檔案後，於 `/src/App.vue` 調整 import Roadmap 的路徑進行測試

```javascript
// @packages -> /packages/...
import Roadmap from "@packages/roadmap-generator"

export default defineComponent({
  // ...
  components: {
    Roadmap
  }
  // ...
})
```

---

## 發布組件庫前 先進行測試

### 執行 build 指令

```bash
yarn run build
# or
# npm run build
```

### 修改 `/packages/` 內的檔案後，於 `/src/App.vue` 調整 import Roadmap 的路徑進行測試

- 若使用 import，Roadmap 路徑為：`/lib/xg-roadmap-generator.js`
- 若使用 require，Roadmap 路徑為：`/lib/xg-roadmap-generator.umd.cjs`

```javascript
// 將 '@packages/roadmap-generator' 改為 '@lib/xg-roadmap-generator.js'
import { Roadmap } from "@lib/xg-roadmap-generator.js"
import "@lib/style.css"

export default defineComponent({
  // ...
  components: {
    Roadmap
  }
  // ...
})
```

---

## 發布組件庫

```bash
npm push
```
